<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<plugin>
    <id>com.fr.plugin.adaptive</id>
    <name><![CDATA[决策报表新自适应（公测版）]]></name>
    <active>yes</active>
    <hidden>no</hidden>
    <version>1.9.11</version>
    <env-version>10.0~</env-version>
    <jartime>2021-03-16</jartime>
    <vendor>finereport</vendor>
    <description><![CDATA[提供新的设计模式和预览方式，使决策报表在不同分辨率下可良好展示，并采用新的控件UI效果，提升视觉体验。]]></description>
    <change-notes><![CDATA[
    	<p>[2021-03-16]新增tab懒加载、单元格复制</p>
    	<p>[2021-01-28]切换重构、联动重构</p>
        <p>[2020-12-04]新增平台挂载功能</p>
        <p>[2020-10-16]日常bug修复</p>
        <p>[2020-09-25]新老兼容功能bug修复</p>
        <p>[2020-09-18]日常bug修复以及更新简介</p>
	<p>[2020-09-11]图表联动bug修复</p>
    ]]></change-notes>
    <function-recorder class="com.fr.plugin.adaptive.web.resource.LocaleFinder"/>
    <lifecycle-monitor class="com.fr.plugin.adaptive.AdaptivePluginMonitor"/>
    <extra-core>
        <IOFileAttrMark class="com.fr.plugin.adaptive.common.NewFormMarkAttr"/>
        <LocaleFinder class="com.fr.plugin.adaptive.web.resource.LocaleFinder"/>
        <RequestParameterHandler class="com.fr.plugin.adaptive.web.handler.common.PluginRequestParameterHandler"/>
    </extra-core>
    <extra-designer>
        <GridUIProcessor class="com.fr.plugin.adaptive.designer.grid.NewGridUIProcessor"/>
        <DesignerFrameUpButtonProvider class="com.fr.plugin.adaptive.designer.toolbar.AdaptiveSwitchUIButton"/>
        <HighlightProvider class="com.fr.plugin.adaptive.designer.condition.ColumnWidthPaneHighlightProvider"/>
        <HighlightProvider class="com.fr.plugin.adaptive.designer.condition.RowHeightPaneHighlightProvider"/>
    </extra-designer>
    <extra-decision>
        <HttpHandlerProvider class="com.fr.plugin.adaptive.web.RequestHandlerBridge"/>
        <URLAliasProvider class="com.fr.plugin.adaptive.web.URLAliasBridge"/>
        <WebResourceProvider class="com.fr.plugin.adaptive.web.component.AdaptiveMainResourceProvider"/>
        <WebResourceProvider class="com.fr.plugin.adaptive.web.component.AdaptiveShowResourceProvider"/>
        <ShowTypeProvider class="com.fr.plugin.adaptive.decision.showType.NewPreviewType"/>
        <ScheduleTaskShowTypeProvider class="com.fr.plugin.adaptive.decision.schedule.job.NewPreviewScheduleType"/>
        <ReportScheduleResultProvider  class="com.fr.plugin.adaptive.decision.schedule.result.AdaptiveReportScheduleResultProvider"/>
    </extra-decision>
    <extra-form>
        <FormActor class="com.fr.plugin.adaptive.web.actor.FormAdaptiveActor"/>
        <FormActor class="com.fr.plugin.adaptive.web.actor.FormInformalActor"/>
    </extra-form>
    <extra-report>
        <DesignResolutionProvider class="com.fr.plugin.adaptive.DesignResolutionProviderImpl"/>
    </extra-report>
</plugin>
